function TmaChannel(channel) {

	this.chnum = 0;
	this.chtype = 0;
	this.satindex = 0;
	this.logoid = "";
	this.videostreamtype = 0;
	this.flagdelete = 0;
	this.flagcas = 0;
	this.flaglock = 0;
	this.flagskip = 0;
	this.tuner = 0;
	this.transponderindex = 0;
	this.serviceid = 0;
	this.pmtpid = 0;
	this.pcrpid = 0;
	this.videopid = 0;
	this.audiopid = 0;
	this.lcn = 0;
	this.audiostreamtype = 0;
	this.servicename = "";
	this.providername = "";
	this.namelock = 0;
	this.flags2 = 1;
	this.unknown2 = "";

	if (channel) $.extend(true, this, channel);

	this.logo = null;

	this.haslogo = function() {
		return (this.logo !== null);
	};

	this.LCNorNR	= this.lcn || (this.chnum + 1);
	this.networkid 	= this.logoid ? parseInt( this.logoid.substr(4, 4), 16 ) : 0;
	this.tsid		= this.logoid ? parseInt( this.logoid.substr(8, 4), 16 ) : 0;

	this.videoStreamTypeStr = function() {
		if (this.videostreamtype == 27) {
			return 'H.264';
		} else {
			return 'Mpeg2';
		}
	};

	this.audioStreamTypeStr = function() {
		switch (this.audiostreamtype) {
			case   3: return 'Mpeg';
			case   4: return 'Mpeg2';
			case 129: return 'AC3';
			default : return '';
		}
	};

	this.transponder = (function(channel) {
		return {
			channels: function() {
				var result = [];
				/** @param {TmaChannel} ch */
				$.each(tma.getChannels(), function(i, ch) {
					if (ch.transponderindex == channel.transponderindex) {
						result.push(ch);
					}
				} );
				return result;
			}
		};
	})(this);

}