function TmaFiles(files) {

	var data = {
			count		: 0,
			timestamp	: "",
			content		: "files",
			directory	: "",
			files		: [],
	};

	// apply initial data
	if (files) {

		$.extend(true, data, files);

		if (files.files) {
			for (var i = 0; i < files.files.length; i++) {
				data.files[i] = new TmaFile(files.files[i]);
			}
		}

	}

	/**
	 * TODO: convert to Getters in future
	 */

	this.count		= data.count;
	this.timestamp	= data.timestamp;
	this.content	= data.content;
	this.directory	= data.directory;
	this.files		= data.files;

	/**
	 * loops through all files
	 *
	 * @param {Function}	callback	callback function will be called for each file with parameters (nr, file)
	 */
	this.eachFile = function( callback ) {

		for (var i = 0; i < data.files.length; i++ ) {
			if (callback.apply( data.files[i], [i, data.files[i]]) === false) {
				break;
			}
		}
	};

}
